Subject: Re: [PATCH 1/2] am: add explicit "--retry" option

From: Junio C Hamano <[email-masked]>
Date: Thu, 06 Jun 2024 09:38:45 -0700

Jeff King <[email-masked]> writes:

> I think even without the test-terminal cleanup, this is a good thing.
> Any time there is a heuristic like isatty(), we should have a way for
> the user to be more explicit about what they want().

I very often do "git am --no-3" to countermand a failed "git am -3"
(or vice versa), so I'll be hit very hard with a need to retrain my
fingers.  But I'll live ;-)

"--retry" is a horrible word, in that it makes it sound like it will
keep trying to apply the same patch over and over until it applies
cleanly or something.  Can't we use "--continue" like everybody else
(like "git rebase --continue", etc.), or would that be even more
confusing?